#include <windows.h>
#include <stdio.h>
#include <tchar.h>
#include <shlwapi.h>

#pragma comment(lib, "shlwapi")

#define COUNTOF(x)  (sizeof(x)/sizeof(x[0]))

int _tmain()
{
	TCHAR iniPath[MAX_PATH] = {0};
	if (0 < GetModuleFileName(GetModuleHandle(NULL), iniPath, MAX_PATH))
	{
		LPTSTR p = _tcsrchr(iniPath, TEXT('\\'));
		if (p)
			*p = TEXT('\0');
		_tcscat(iniPath, TEXT("\\config.ini"));
	}

	if (!::PathFileExists(iniPath))
	{
		_tprintf(TEXT("No INI file to read.\n"));
		return 0;
	}

	TCHAR val[256] = {0};
	if (0 < GetPrivateProfileString(TEXT("Settings"), TEXT("Value1"), TEXT(""), val, COUNTOF(val), iniPath))
	{
		_tprintf(TEXT("Value1 = %s\n"), val);
	}
	else
		_tprintf(TEXT("Failure.\n"));

	return 0;
}